Tool: test_iam_permissions
Tests the access control policy for a billing account.
The following code sample shows how to use curl to call the test_iam_permissions MCP tool.
| Curl Request |
|---|
curl --location 'https://cloudbilling.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "test_iam_permissions", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Request message for TestIamPermissions method.
TestIamPermissionsRequest
| JSON representation |
|---|
{ "resource": string, "permissions": [ string ] } |
| Fields | |
|---|---|
resource |
REQUIRED: The resource for which the policy detail is being requested. See Resource names for the appropriate value for this field. |
permissions[] |
The set of permissions to check for the |
Output Schema
Response message for TestIamPermissions method.
TestIamPermissionsResponse
| JSON representation |
|---|
{ "permissions": [ string ] } |
| Fields | |
|---|---|
permissions[] |
A subset of |
Tool Annotations
Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌